<script setup lang="ts">
  const props = defineProps<{
    label?: string;
    type?: 'new' | 'sale' | 'tip';
  }>();
</script>
<template>
  <div
    :class="{
      'text-(sm information-dark) rounded-md px-3 py-0.5 font-semibold uppercase': true,
      'bg-emerald-100': props.type === 'new',
      'bg-pumpkin_spice-100': props.type === 'tip',
      'bg-crimson-100': props.type === 'sale',
    }"
  >
    <slot>
      {{ type ? $t(type) : label || '' }}
    </slot>
  </div>
</template>
